﻿@using Infrastructure.Messages;

@{
    ViewBag.Title = "پیام";

    bool haveTempData = TempData["Message"] != null;

    string msgBoxCssClass = string.Empty;
    Message Message = null;

    if (haveTempData)
    {
        Message = TempData["Message"] as Message;
        msgBoxCssClass = Message.IsSuccess ? "alert-success" : "alert-danger";
    }
}

<div class="row">
    <div class="col-lg-12">

        @if (haveTempData)
        {
            <div id="MsgBox" class="alert @msgBoxCssClass">
                @Html.Raw(Message.MessageBody)
            </div>

            <script>
                setTimeout(function () { HideMsgBox(); }, 3000);

                function HideMsgBox()
                {
                    document.getElementById("MsgBox").style.display = "none";
                }
            </script>
        }


    </div>
</div>